MrSID Decode SDK for LiDAR Reference Manual 1.1.4.4709

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
OSError Class Reference

OSError extends Error by using errno or GetLastError() to build the text description of the error.

`#include <Error.h>`

Inheritance diagram for OSError:
[legend]
Collaboration diagram for OSError:
[legend]

## Public Member Functions
| OSError (const char *file, const char *func, int line) throw ()
| Construct an OS error exception. More...
Public Member Functions inherited from Error
| ~Error (void) throw ()
| Error (const Error &copy) throw ()
| Error (const char *file, const char *func, int line, int code) throw ()
| Construct an error exception. More...
const char * | filename (void) const throw ()
| Get the file name. More...
const char * | function (void) const throw ()
| Get the function name. More...
int | line (void) const throw ()
| Get the line number. More...
int | error (void) const throw ()
| Get the error code. More...
const char * | what (void) const throw ()
| Get the text description. More...
Error & | operator() (const char *fmt,...) throw ()
| Append more text the error discription. More...

## Additional Inherited Members
Protected Types inherited from Error
enum | { BUFFERSIZE = 1024 }
Protected Attributes inherited from Error
char | m_desc [BUFFERSIZE]
const char * | m_file
const char * | m_func
int | m_line
int | m_error

## Detailed Description

Definition at line 102 of file Error.h.

## Constructor & Destructor Documentation

OSError::OSError | ( | const char * | file,
|  | const char * | func,
|  | int | line
| ) |  |
throw | ( |
| ) |  |

This constructor looks at errno or GetLastError() to build the text description.

Parameters

  file | the file name where the error occurred
  func | the function name where the error occurred
  line | the line number where the error occurred

The documentation for this class was generated from the following file:

- Error.h

LizardTech